Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi
Interface RemoteReportSheetInfo

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteReportSheetInfo

extends java.rmi.Remote

Interface `RemoteReportSheetInfo` contains information of report sheets of a report set.

Method Summary
`BurstingRecipientInfo` | `getBurstingRecipientInfo()` Deprecated. As of version 9, replaced by `getBurstingRecipientInfos()`.
`RemoteBurstingSchemaInfo[]` | `getBurstingSchemaInfos()` Get all `RemoteBurstingSchemaInfo`s that defined in the report.
`java.lang.String` | `getDesc()` Return the description of the report.
`java.lang.String` | `getDisplayName()` Return the display name of the report
`int` | `getExportFormat()` Get the default export format which is defined in report.
`java.util.Hashtable` | `getExportOptionProperties()` Get the settings of the default export format options which are defined in report.
`java.lang.String[]` | `getFormatStyleGroups()` Return the StyleGroup array of all formats, each element represent a export StyleGroup of special format.
`java.lang.String` | `getName()` Return the name of the report.
`java.util.Vector` | `getParamInfosByValueForRecipient(java.lang.String paramName, java.lang.String value, java.lang.String paramEngineId)` Deprecated. As of version 9, replaced by `BurstingSchemaInfo.getParamInfosByValueForRecipient()`.
`java.util.Vector` | `getParamInfosForRecipient()` Deprecated. As of version 9, replaced by `RemoteBurstingSchemaInfo.getParamInfosForRecipient()`.
`boolean` | `isBurstingReport()` If the report is a bursting report.
`boolean` | `isPrecisionSensitive()` Return whether the report is precision sensitive. If `true`, the report can be exported according runtime precision info, and Engine can do necessary layout to match the request precision.

Method Detail

### getName

    java.lang.String getName()
                             throws java.rmi.RemoteException

  Return the name of the report.

  Returns:
    name of the report.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getDisplayName

    java.lang.String getDisplayName()
                                    throws java.rmi.RemoteException

  Return the display name of the report

  Returns:
    displayname of the report
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getDesc

    java.lang.String getDesc()
                             throws java.rmi.RemoteException

  Return the description of the report.

  Returns:
    description of the report.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### isPrecisionSensitive

    boolean isPrecisionSensitive()
                                 throws java.rmi.RemoteException

  Return whether the report is precision sensitive.
  If `true`, the report can be exported according runtime precision info, and Engine can do necessary layout to match the request precision.

  Returns:
    whether the report is precision sensitive.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getFormatStyleGroups

    java.lang.String[] getFormatStyleGroups()
                                            throws java.rmi.RemoteException

  Return the StyleGroup array of all formats, each element represent a export StyleGroup of special format.
  Using the format(`CSUtil.NORMAL`, `CSUtil.HTML`, etc.) as index to get corresponding StyleGroup.

  Returns:
    the StyleGroup array of all formats.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### isBurstingReport

    boolean isBurstingReport()
                             throws java.rmi.RemoteException

  If the report is a bursting report.

  Returns:
    true if the report is a bursting report.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  Since:
    version 8.2

### getBurstingRecipientInfo

    BurstingRecipientInfo getBurstingRecipientInfo()
                                                   throws java.rmi.RemoteException

  Deprecated. As of version 9, replaced by `getBurstingRecipientInfos()`.

  Get `BurstingRecipientInfo` which associated with the report, it contains bursting recipient information that defined in report.

  Returns:
    A `BurstingRecipientInfo` object if `isBurstingReport()` return true, return value is the first element of the `BurstingRecipientInfo` array that returns by method `getBurstingRecipientInfos()`, otherwise return `null`
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  Since:
    version 8.2

### getBurstingSchemaInfos

    RemoteBurstingSchemaInfo[] getBurstingSchemaInfos()
                                                      throws java.rmi.RemoteException

  Get all `RemoteBurstingSchemaInfo`s that defined in the report.

  Returns:
    A `RemoteBurstingSchemaInfo` object array if `isBurstingReport()` return true, otherwise return `null`
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  Since:
    version 9

### getParamInfosForRecipient

    java.util.Vector getParamInfosForRecipient()
                                               throws java.rmi.RemoteException

  Deprecated. As of version 9, replaced by `RemoteBurstingSchemaInfo.getParamInfosForRecipient()`.

  Get parameters for the query that retrieves recipient addresses.

  Returns:
    parameters for the query. The `Vector` cantains `RemoteParamInfo` objects.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  Since:
    version 8.2
  See Also:
    `RemoteParamInfo`, `RemoteBurstingSchemaInfo`

### getParamInfosByValueForRecipient

    java.util.Vector getParamInfosByValueForRecipient(java.lang.String paramName,
                                                      java.lang.String value,
                                                      java.lang.String paramEngineId)
                                                      throws RptServerException,
                                                             java.rmi.RemoteException

  Deprecated. As of version 9, replaced by `BurstingSchemaInfo.getParamInfosByValueForRecipient()`.

  Return parameters for the query that retrieves recipient addresses according to the name and the value of a certain parameter. If the value is null, it applies the default value of the certain parameter; if the name is null, the method will return null; otherwise it will return all parameters depends on the certain parameter according to the value.

  Parameters:
    `paramName` - the parameter name.
    `value` - the value of the parameter.
    `paramEngineId` - the ID of engine which generates parameters.
  Returns:
    parameters for the query that retrieves recipient addresses accordingly The `Vector` cantains `RemoteParamInfo` objects.
  Throws:
    `RptServerException` - if a RptServerException occurs.
    `java.rmi.RemoteException` - if a RemoteException occurs.
  Since:
    version 8.2
  See Also:
    `RemoteRemoteParamInfo`, `RemoteBurstingSchemaInfo`

### getExportFormat

    int getExportFormat()
                        throws java.rmi.RemoteException

  Get the default export format which is defined in report.

  Returns:
    int value that ranged from 0(`APIConst.RST`) to 8(`APIConst.DHTML`) if the default export format is defined in report, otherwise return -1.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  Since:
    version 9.1

### getExportOptionProperties

    java.util.Hashtable getExportOptionProperties()
                                                  throws java.rmi.RemoteException

  Get the settings of the default export format options which are defined in report.

  Returns:
    `Hashtable` which contains the settings of the default export format options if `getExportFormat()` return a format(`APIConst.DHTML`, `APIConst.HTML`, etc.), otherwise return `null`.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  Since:
    version 9.1

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD